test/java/util/Calendar/NarrowNamesTest.sh

Print this page

        

@@ -1,7 +1,7 @@
 #
-# Copyright (c) 2012, 2013, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2012, 2015, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License version 2 only, as
 # published by the Free Software Foundation.

@@ -20,11 +20,11 @@
 # or visit www.oracle.com if you need additional information or have any
 # questions.
 #
 
 # @test
-# @bug 8000983
+# @bug 8000983 8008577
 # @summary Unit test for narrow names support
 # @build NarrowNamesTest
 # @run shell NarrowNamesTest.sh
 
 # This test is locale data-dependent and assumes that both JRE and CLDR

@@ -32,10 +32,10 @@
 
 STATUS=0
 for P in "JRE,SPI" "CLDR"
 do
     echo "Locale providers: $P"
-    if ! ${TESTJAVA}/bin/java -esa ${TESTVMOPTS} -cp "${TESTCLASSES}" -Djava.locale.providers="${P}" NarrowNamesTest; then
+    if ! ${TESTJAVA}/bin/java -esa ${TESTVMOPTS} -cp "${TESTCLASSES}" -Djava.locale.providers="${P}" NarrowNamesTest ${P}; then
         STATUS=1
     fi
 done
 exit ${STATUS}